export const AxisBottom = ({
  xScale,
  innerHeight,
  tickFormat,
  textOffset,
  axisBottom,
}) => {

  return (
    xScale.ticks().map((tickValue) => (
    <g
      className="tick"
      key={tickValue}
      transform={`translate(${xScale(
        tickValue
      )},0)`}
    >
      <text
        y={innerHeight + textOffset}
        style={{ textAnchor: 'middle' }}
      >
        {tickFormat(tickValue)}
      </text>
    </g>
  ))
  );

};

export const AxisLeft = ({
  yScale,
  innerWidth,
  tickOffset = 3,
}) =>
  yScale.ticks().map((tickValue) => (
    <g
      className="tick"
      transform={`translate(0,${yScale(
        tickValue
      )})`}
    >
      <text
        key={tickValue}
        style={{ textAnchor: 'end' }}
        x={-tickOffset}
        dy=".32em"
      >
        {tickValue}
      </text>
    </g>
  ));
